.vacancy-form {
  background: white;
  display: grid;
  grid-template-columns: 1fr;

  box-shadow: 0px 4px 18px 0px rgba(1, 8, 253, 0.08);

  border: 1px solid rgba(224, 224, 224, 0.6);

  padding-top: 2rem;
  padding-bottom: 2rem;

  padding-left: 2rem;
  padding-right: 2rem;

  border-radius: 0.75rem;

  gap: 1rem;
}

.vacancy-field {
  display: flex;
  flex-direction: column;
}

.vacancy-field label {
  margin-bottom: 6px;
}

.vacancy-input,
.vacancy-textarea {
  width: 100%;
  border: 1px solid #d2d1d4;
  border-radius: 6px;
  padding: 0.75rem;
  font-size: 14px;
  transition: border-color 0.2s ease;
}

.vacancy-textarea {
  max-height: 100px;
}

.vacancy-input:focus,
.vacancy-textarea:focus {
  outline: none;
  border-color: var(--primary);
}

.vacancy-textarea {
  min-height: 140px;
  resize: vertical;
}

.vacancy-input-wrapper {
  position: relative;
}

.vacancy-input-icon {
  position: absolute;
  left: 12px;
  top: 16px;
  pointer-events: none;
  display: flex;
  align-items: center;
}

.vacancy-input-icon img {
  width: 16px;
  height: 16px;
}

.vacancy-input-icon-padding {
  padding-left: 42px !important;
}

.vacancy-upload-box {
  border: 1px dashed #d2d1d4;
  border-radius: 8px;
  padding: 1.5rem 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background 0.2s ease;
  text-align: center;
}

.vacancy-upload-box:hover {
  background: #f9f9f9;
}

.vacancy-upload-icon img {
  width: 32px;
  height: 32px;
}

.vacancy-upload-text {
  margin-top: 10px;
  font-size: 14px;
  color: #666;
  max-width: 20ch;
}

.vacancy-file-input {
  margin-top: 12px;
  font-size: 13px;
}

.vacancy-submit-wrapper {
  position: relative;
  display: inline-block;
}

.vacancy-submit-wrapper .wpcf7-spinner {
  position: absolute;
  top: 50%;
  right: 1rem;
  transform: translateY(-50%);
  margin: 0;
  padding: 0;
}

.vacancy-submit {
  width: 100%;
  border: none;
  border-radius: 9999px;
  padding: 0.9rem 1rem;
  background: var(--primary);
  color: white;
  cursor: pointer;
  transition: opacity 0.2s ease;
  font-size: 15px;
  font-weight: 500;
}

.vacancy-submit:hover {
  opacity: 0.9;
}

.wpcf7-response-output {
  margin: 1rem 0 0 !important;
  border-radius: 8px;
  padding: 12px !important;
}

.vacancy-file-input {
  display: none;
}

.vacancy-field {
  display: flex;
  flex-direction: column;
  position: relative;
}

.wpcf7-not-valid-tip {
  position: relative;
  margin-top: 0.5rem;
  font-size: 13px;
  line-height: 1;
}

.wpcf7-form-control {
  position: relative;
}

.vacancy-input-wrapper {
  position: relative;
  display: flex;
}
